Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Sightly with 5.6.1

Avatar

Level 8

Trying to use sightly with 5.6.1, downloaded feature pack and installed for sightly support. 

it doesn't show side kick, reason  being there has to be  /libs/wcm/foundation/components/page/head.html  for sightly support.

but it is not available after install. I am not sure whether sightly can fully be supported.

Thanks

 

1 Accepted Solution

Avatar

Correct answer by
Level 10

Hi ,

Sightly was introduced from AEM 6.x and feature pack was given for 5.6.1. But its not completely supported for 5.6.1, like in your case, Although you can still use sightly syntax in [component_name].html files but wont be able to load sidekick using sightly files

Its recommended to use sightly in AEM 6.x onwards

View solution in original post

3 Replies

Avatar

Level 4

Please ensure you have followed the procedure in the link very closely. http://adobeaemclub.com/use-sightly-in-aem-5-6-1/

I see a total of three packages for sightly, but I can't remember whether I had to install all three separately, or if installing the first one, (i.e. the cq-6.0.0 feature pack), installed the other two. You can find the links to package share in the link above.

 

cq-6.0.0-featurepack-6431-1.0.0.zip

com.adobe.granite.sightly.content-1.0.2.zip

com.adobe.granite.sightly.js.content-1.0.8.zip

Avatar

Correct answer by
Level 10

Hi ,

Sightly was introduced from AEM 6.x and feature pack was given for 5.6.1. But its not completely supported for 5.6.1, like in your case, Although you can still use sightly syntax in [component_name].html files but wont be able to load sidekick using sightly files

Its recommended to use sightly in AEM 6.x onwards

Avatar

Level 10

Agree with Praveen. Use Sighltly in AEM 6.x. For 5.6, use JSP.